import 'package:equatable/equatable.dart';

abstract class FriendState extends Equatable {
  const FriendState();
  @override
  List<Object> get props => [];
}

/// UnInitialized
class UnFriendState extends FriendState {

  UnFriendState();

  @override
  String toString() => 'UnFriendState';
}

/// Initialized
class FriendLoading extends FriendState {

  FriendLoading() : super();

  @override
  String toString() => 'FriendLoading';

}

class FriendLoadSuccess extends FriendState {
  final String keyword;
  final List<String> searchList;

  const FriendLoadSuccess(this.keyword, this.searchList);

  @override
  List<Object> get props => [searchList];

  @override
  String toString() => 'FriendLoadSuccess { FriendList: ${searchList.length} }';
}


class ErrorFriendState extends FriendState {
  final String errorMessage;

  ErrorFriendState(this.errorMessage);
  
  @override
  String toString() => 'ErrorFriendState';
}
