import 'package:bytedesk_kefu/model/helpCategory.dart';
import 'package:equatable/equatable.dart';

abstract class LeaveMsgState extends Equatable {
  LeaveMsgState();

  @override
  List<Object> get props => [];
}

/// UnInitialized
class UnLeaveMsgState extends LeaveMsgState {
  UnLeaveMsgState();

  @override
  String toString() => 'UnLeaveMsgState';
}

class LeaveMsgEmpty extends LeaveMsgState {
  @override
  String toString() => 'LeaveMsgEmpty';
}

class LeaveMsgLoading extends LeaveMsgState {
  @override
  String toString() => 'LeaveMsgLoading';
}

class LeaveMsgLoadError extends LeaveMsgState {
  @override
  String toString() => 'LeaveMsgLoadError';
}

/// Initialized
class LeaveMsgCategoryState extends LeaveMsgState {
  final List<HelpCategory> categoryList;

  LeaveMsgCategoryState(this.categoryList) : super();

  @override
  String toString() => 'GetLeaveMsgCategoryState';
}

class UploadImageSuccess extends LeaveMsgState {
  //
  final String url;
  UploadImageSuccess(this.url);
  @override
  List<Object> get props => [url];
  @override
  String toString() => 'UploadImageSuccess { logo: $url }';
}

class UpLoadImageError extends LeaveMsgState {
  @override
  String toString() => 'UpLoadImageError';
}