import 'dart:async';
// import 'package:google_sign_in/google_sign_in.dart';
import 'package:bytedesk_kefu/model/codeResult.dart';
import 'package:bytedesk_kefu/model/jsonResult.dart';
import 'package:bytedesk_kefu/model/user.dart';
import 'package:bytedesk_kefu/http/bytedesk_user_api.dart';
import 'package:bytedesk_kefu/model/oauth.dart';
// import 'package:meta/meta.dart';

class UserRepository {
  final BytedeskUserHttpApi bytedeskHttpApi = BytedeskUserHttpApi();

  UserRepository();

  Future<OAuth> login(String username, String password) {
    print("login username $username, password $password");
    return bytedeskHttpApi.oauth(username, password);
  }

  Future<OAuth> smsOAuth(String mobile, String code) async {
    print("user_repository smsOAuth");
    return await bytedeskHttpApi.smsOAuth(mobile, code);
  }

  Future<JsonResult> register(String mobile, String password) async {
    print("user_repository register");
    return await bytedeskHttpApi.register(mobile, password);
  }

  Future<JsonResult> changePassword(String mobile, String password) async {
    print("user_repository change");
    return await bytedeskHttpApi.changePassword(mobile, password);
  }

  Future<CodeResult> requestCode(String mobile) async {
    print("user_repository requestCode");
    return await bytedeskHttpApi.requestCode(mobile);
  }

  Future<String> upload(String filePath) async {
    return await bytedeskHttpApi.upload(filePath);
  }

  Future<User> updateAvatar(String avatar) async {
    return await bytedeskHttpApi.updateAvatar(avatar);
  }

  Future<User> updateNickname(String nickname) async {
    return await bytedeskHttpApi.updateNickname(nickname);
  }

  Future<User> updateDescription(String description) async {
    return await bytedeskHttpApi.updateDescription(description);
  }

  Future<void> logout() async {
    print("user_repository logout");
    return Future.wait([bytedeskHttpApi.logout()]);
  }

  // Future<bool> isLogin() async {
  //   print("user_repository isSignedIn");
  //   // final currentUser = await BytedeskHttpApi.currentUser();
  //   // return currentUser != null;
  // }

  Future<User> getProfile() async {
    return await bytedeskHttpApi.getProfile();
  }

  // Future<String> getUsername() async {
  //   print("user_repository getUsername");
  //   return (await BytedeskHttpApi.currentUser()).username;
  // }

}
